## probert 0.0.14.1.1

=== Makefile ===
#
# Makefile for probert
#
NAME=probert
VERSION=$(shell PYTHONPATH=$(shell pwd) python -c "import probert; print probert.__version__")
.PHONY: all version tarball $(NAME)_$(VERSION).orig.tar.gz

all: run

version:
	echo "VERSION=$(VERSION)"

../$(NAME)_$(VERSION).orig.tar.gz:
	echo "Making tarball"
	fakeroot debian/rules get-orig-source

tarball: ../$(NAME)_$(VERSION).orig.tar.gz

DPKGBUILDARGS = -i'logs*|.coverage|.git.*|.tox|.bzr.*|.editorconfig|.travis-yaml'
deb-src: tarball
	@dpkg-buildpackage -S -sa $(DPKGBUILDARGS)

deb-release: tarball
	@dpkg-buildpackage -S -sd $(DPKGBUILDARGS)

deb:
	@dpkg-buildpackage -b -us -uc $(DPKGBUILDARGS)

clean:
	./debian/rules clean; \
	rm -rf debian/probert; \
	rm -rf ../$(NAME)_*.deb ../$(NAME)_*.tar.gz ../$(NAME)_$.dsc ../$(NAME)_*.changes \
	../$(NAME)_*.build ../$(NAME)_*.upload; \
	wrap-and-sort;

run:
	(PYTHONPATH=$(shell pwd) bin/probert --all)

lint:
	echo "Running flake8 lint tests..."
	flake8 bin/probert --ignore=F403
	flake8 --exclude probert/tests/ probert --ignore=F403

unit:
	echo "Running unit tests..."
	python3 -m "nose" -v --nologcapture --with-coverage probert/tests/

## probert 0.0.9

=== debian/changelog ===
probert (0.0.9) yakkety; urgency=medium

  [ Michael Hudson-Doyle ]
  * Do not crash if there is no /etc/network/interfaces file.
  * Look for the current essid for wlan interfaces
  * Expose more interface flags, including whether there is a carrier.

  [ Mathieu Trudel-Lapierre ]
  * Default action is now to list all (network and storage) devices.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 23 Sep 2016 15:27:00 -0400

probert (0.0.7) yakkety; urgency=medium

  * Parse networkd leases.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 23 Aug 2016 15:23:41 -0400

probert (0.0.6) yakkety; urgency=medium

  [ Ryan Harper ]
  * Initial release.

  [ Mathieu Trudel-Lapierre ]
  * Port to pyudev 0.18.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 19 Aug 2016 11:01:18 -0400

=== debian/control ===
Source: probert
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ryan Harper <ryan.harper@canonical.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               pep8,
               pyflakes,
               python3-all,
               python3-coverage,
               python3-flake8,
               python3-netifaces,
               python3-nose,
               python3-pyudev,
               python3-setuptools,
               python3-yaml
Standards-Version: 3.9.5
Homepage: https://github.com/CanonicalLtd/probert
X-Python3-Version: >= 3.3
Vcs-Browser: https://github.com/CanonicalLtd/probert
Vcs-Git: https://github.com/CanonicalLtd/probert.git

Package: probert
Architecture: all
Depends: python3-all,
         python3-netifaces,
         python3-pyudev,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${python:Depends}
Description: Hardware probing tool
 This package provides a tool for probing host hardware information
 and emitting a JSON report.

## probert 0.0.14

=== debian/changelog ===
probert (0.0.14) zesty; urgency=medium

  * Store all information about an address in an object.
  * Record the scope of an address.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 17 Feb 2017 15:15:17 +1300

probert (0.0.13) zesty; urgency=medium

  * Work with both zesty and xenial versions of pyudev.
  * Don't crash if we can't start the wlan listener. (LP: #1652262)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 05 Jan 2017 09:18:25 +1300

probert (0.0.12) zesty; urgency=medium

  * Replace network probing with netlink-based version.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Nov 2016 13:42:17 +1300

probert (0.0.11) yakkety; urgency=medium

  [ Scott Sweeney ]
  * probert/network.py: Fix typo in index variable name. (LP: #1634430)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 18 Oct 2016 14:44:51 -0400

probert (0.0.10) yakkety; urgency=medium

  * New release 0.0.10:
    - Do not crash if SIOCGIWESSID is not supported by a wireless device.
      (LP: #1627031)
    - Parse lease files from NetworkManager's networkd dhcp feature.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 04 Oct 2016 16:37:39 -0400

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,15 @@
 XSBC-Original-Maintainer: Ryan Harper <ryan.harper@canonical.com>
 Build-Depends: debhelper (>= 9),
                dh-python,
+               libnl-genl-3-dev,
+               libnl-route-3-dev,
                pep8,
+               pkg-config,
                pyflakes,
                python3-all,
                python3-coverage,
+               python3-dev,
                python3-flake8,
-               python3-netifaces,
                python3-nose,
                python3-pyudev,
                python3-setuptools,
@@ -22,14 +25,13 @@
 Vcs-Git: https://github.com/CanonicalLtd/probert.git
 
 Package: probert
-Architecture: all
+Architecture: any
 Depends: python3-all,
-         python3-netifaces,
          python3-pyudev,
          python3-yaml,
          ${misc:Depends},
          ${python3:Depends},
-         ${python:Depends}
+         ${shlibs:Depends}
 Description: Hardware probing tool
  This package provides a tool for probing host hardware information
  and emitting a JSON report.

## probert 0.0.14.1build2

=== debian/changelog ===
probert (0.0.14.1build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:39:54 +0000

probert (0.0.14.1build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 May 2017 20:15:13 +1200

probert (0.0.14.1) artful; urgency=medium

  * Fix Build-Depends to work with multiple supported Python versions.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 10 May 2017 21:22:24 +1200

## probert 0.0.14.1.1

=== debian/changelog ===
probert (0.0.14.1.1) bionic; urgency=medium

  * Correctly mark set_link_flags as METH_KEYWORDS. (LP: #1797342)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 15 Oct 2018 10:27:03 +1300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                pyflakes,
                python3-all,
                python3-coverage,
-               python3-dev,
+               python3-all-dev,
                python3-flake8,
                python3-nose,
                python3-pyudev,

=== debian/rules ===
#!/usr/bin/make -f

VERS=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
export DH_VERBOSE=1
export PYBUILD_NAME=probert
export PYBUILD_DISABLE_python2=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --ignore-shebangs

override_dh_installinit:
	dh_installinit --no-start

override_dh_auto_test:
	@echo "No tests."

get-orig-source:
	python3 ./setup.py sdist
	cp dist/*.tar.gz ../probert_${VERS}.orig.tar.gz
	cp dist/*.tar.gz /tmp/probert_${VERS}.orig.tar.gz
	rm -rf dist

## probert 0.0.14.2

=== debian/changelog ===
probert (0.0.14.2) cosmic; urgency=medium

  * Correctly mark set_link_flags as METH_KEYWORDS. (LP: #1797342)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 15 Oct 2018 10:27:03 +1300

## probert 0.0.15

=== debian/changelog ===
probert (0.0.15) disco; urgency=medium

  [ Ryan Harper ]
  * Add probing for advanced storage types (LP: #1821994)

  [ Daniel Watkins ]
  * d/control:
    - Remove unneeded X-Python3-Version
    - Remove hard-coded Depends on python3-all
    - Remove Build-Depends on python3-all
    - Add Build-Depends on python3-testtools for testing
    - Bump Standards-Version to 4.3.0
      - Update priority from extra to optional
    - Remove python3-yaml from Build-Depends and Depends; it isn't actually
      used by the package
    - Drop hard-coded Depends now that setup.py correctly expresses
      dependencies
  * d/rules:
    - Re-enable dh_auto_test
    - Remove unnecessary override_dh_installinit

 -- Ryan Harper <ryan.harper@canonical.com>  Wed, 10 Apr 2019 16:44:07 -0700

probert (0.0.14.2build1) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 16:34:52 +0000

=== debian/control ===
Source: probert
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ryan Harper <ryan.harper@canonical.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               libnl-genl-3-dev,
               libnl-route-3-dev,
               pep8,
               pkg-config,
               pyflakes,
               python3-all-dev,
               python3-coverage,
               python3-flake8,
               python3-jsonschema,
               python3-nose,
               python3-pyudev,
               python3-setuptools,
               python3-testtools
Standards-Version: 4.3.0
Homepage: https://github.com/CanonicalLtd/probert
Vcs-Browser: https://github.com/CanonicalLtd/probert
Vcs-Git: https://github.com/CanonicalLtd/probert.git

Package: probert
Architecture: any
Depends: bcache-tools,
         lvm2,
         mdadm,
         multipath-tools,
         util-linux,
         zfsutils-linux,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Hardware probing tool
 This package provides a tool for probing host hardware information
 and emitting a JSON report.

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,6 @@
 override_dh_python3:
 	dh_python3 --ignore-shebangs
 
-override_dh_installinit:
-	dh_installinit --no-start
-
-override_dh_auto_test:
-	@echo "No tests."
-
 get-orig-source:
 	python3 ./setup.py sdist
 	cp dist/*.tar.gz ../probert_${VERS}.orig.tar.gz

## probert 0.0.17

=== debian/changelog ===
probert (0.0.17) eoan; urgency=medium

  * Add mock build-dependency.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 02 Sep 2019 13:23:43 +0100

probert (0.0.16) eoan; urgency=medium

  * Split probert package into network, storage and core. This minimizes
    the amount of dependencies that curtin, consoleconf, subiquity need to
    pull in to complete probing they require.
  * Bugfixes for networking, multipath, raid, lvm with testcases.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 14 Aug 2019 15:10:38 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                python3-flake8,
                python3-jsonschema,
                python3-nose,
+               python3-mock,
                python3-pyudev,
                python3-setuptools,
                python3-testtools
@@ -24,16 +25,56 @@
 Vcs-Git: https://github.com/CanonicalLtd/probert.git
 
 Package: probert
-Architecture: any
-Depends: bcache-tools,
+Architecture: all
+Depends: ${misc:Depends}, probert-storage, probert-network
+Description: Hardware probing tool - metapackage
+ This package provides a tool for probing host hardware information
+ and emitting a JSON report.
+ .
+ This package provides full probing capability.
+
+Package: probert-common
+Architecture: all
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Breaks: probert (<< 0.0.16)
+Replaces: probert (<< 0.0.16)
+Description: Hardware probing tool - common
+ This package provides a tool for probing host hardware information
+ and emitting a JSON report.
+ .
+ This package provides the common code for probing.
+
+Package: probert-storage
+Architecture: all
+Depends: probert-common (= ${source:Version}),
+         bcache-tools,
          lvm2,
          mdadm,
          multipath-tools,
-         util-linux,
          zfsutils-linux,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Description: Hardware probing tool
+Breaks: probert (<< 0.0.16)
+Replaces: probert (<< 0.0.16)
+Description: Hardware probing tool - storage metapackage
  This package provides a tool for probing host hardware information
  and emitting a JSON report.
+ .
+ This package contains storage probing capability.
+
+Package: probert-network
+Architecture: any
+Depends: probert-common (= ${source:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Breaks: probert (<< 0.0.16)
+Replaces: probert (<< 0.0.16)
+Description: Hardware probing tool - storage metapackage
+ This package provides a tool for probing host hardware information
+ and emitting a JSON report.
+ .
+ This package contains network probing capability.

## probert 0.0.18

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 NAME=probert
 VERSION=$(shell PYTHONPATH=$(shell pwd) python -c "import probert; print probert.__version__")
-.PHONY: all version tarball $(NAME)_$(VERSION).orig.tar.gz
+.PHONY: all version tarball test $(NAME)_$(VERSION).orig.tar.gz
 
 all: run
 
@@ -36,11 +36,5 @@
 run:
 	(PYTHONPATH=$(shell pwd) bin/probert --all)
 
-lint:
-	echo "Running flake8 lint tests..."
-	flake8 bin/probert --ignore=F403
-	flake8 --exclude probert/tests/ probert --ignore=F403
-
-unit:
-	echo "Running unit tests..."
-	python3 -m "nose" -v --nologcapture --with-coverage probert/tests/
+test:
+	tox

=== requirements.txt ===
pyudev==0.21.0
jsonschema==2.6.0

=== debian/changelog ===
probert (0.0.18) focal; urgency=medium

  [Ryan Harper]
  * d/control
    - Add s390-tools dep on s390x architecture
  * Add probing support for DASD devices on s390x
  * Fix storage size calculations from sysfs (Issue #74)

  [Michael Hudson-Doyle]
  * Fix segfault when netdev is removed

 -- Ryan Harper <ryan.harper@canonical.com>  Tue, 25 Feb 2020 15:14:40 -0600

probert (0.0.17build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:26 +0100

probert (0.0.17build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:27:19 +0000

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                python3-coverage,
                python3-flake8,
                python3-jsonschema,
+               python3-mock,
                python3-nose,
-               python3-mock,
                python3-pyudev,
                python3-setuptools,
                python3-testtools
@@ -26,7 +26,7 @@
 
 Package: probert
 Architecture: all
-Depends: ${misc:Depends}, probert-storage, probert-network
+Depends: probert-network, probert-storage, ${misc:Depends}
 Description: Hardware probing tool - metapackage
  This package provides a tool for probing host hardware information
  and emitting a JSON report.
@@ -35,9 +35,7 @@
 
 Package: probert-common
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Breaks: probert (<< 0.0.16)
 Replaces: probert (<< 0.0.16)
 Description: Hardware probing tool - common
@@ -47,12 +45,13 @@
  This package provides the common code for probing.
 
 Package: probert-storage
-Architecture: all
-Depends: probert-common (= ${source:Version}),
-         bcache-tools,
+Architecture: any
+Depends: bcache-tools,
          lvm2,
          mdadm,
          multipath-tools,
+         probert-common (= ${source:Version}),
+         s390-tools [s390x],
          zfsutils-linux,
          ${misc:Depends},
          ${python3:Depends},

=== debian/watch ===
version=4
https://github.com/CanonicalLtd/probert/releases .*/v(.*).tar.gz

## probert 0.0.18build1

=== debian/changelog ===
probert (0.0.18build1) focal; urgency=medium

  * no-change rebuild to allow probert-network component change to main
    (LP: #1890301)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 04 Aug 2020 11:30:19 -0400

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 VERS=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
 export DH_VERBOSE=1
-export PYBUILD_NAME=probert
+export PYBUILD_DESTDIR=debian/tmp
 export PYBUILD_DISABLE_python2=1
 
 %:
@@ -11,6 +11,10 @@
 override_dh_python3:
 	dh_python3 --ignore-shebangs
 
+override_dh_missing:
+	rm -r `find debian/tmp -name __pycache__`
+	dh_missing --fail-missing
+
 get-orig-source:
 	python3 ./setup.py sdist
 	cp dist/*.tar.gz ../probert_${VERS}.orig.tar.gz

## probert 0.0.20

=== debian/changelog ===
probert (0.0.20) groovy; urgency=medium

  [ Ryan Harper ]
  * Run wrap-and-sort on debian dir
  * debian/control: Change probert-storage Architecture to any to allow
    binary arch dependencies
  * Add dasd files to probert-common and probert-storage install files
  * multipath: use non-whitespace to split output
  * Makefile: use python3 and be virtenv friendly
  * lvm: don't use vgscan --mknodes

  [ Michael Hudson-Doyle ]
  * cope with block devices with no MAJOR in udev
  * introduce and use a sane_block_devices helper that checks for MAJOR
  * fix tests, thanks ryan
  * have dry run mode supply some fake scan results

  [ Tsunghan Liu (Robert Liu) ]
  * Support CAN interfaces (LP: #1890397)

  [ Paride Legovini ]
  * d/control:
    - drop Build-Depends on pyflakes (not needed) (LP: #1879731)
    - drop Build-Depends on pep8 (not actually used)
    - set Rules-Requires-Root: no
    - bump the dh compat level to 13 via debhelper-compat
    - bump Standards-Version to 4.5.0 (no changes needed)
    - fix the bin packages short descriptions
    - drop the XSBC-Original-Maintainer field
  * d/rules:
    - drop the PYBUILD environment variables (not needed)
    - drop explicit dh_missing --fail-missing (default in compat >=12)
    - include pkg-info.mk instead of parsing d/changelog
    - build with DEB_BUILD_MAINT_OPTIONS = hardening=+all
    - drop the get-orig-source target
  * d/copyright: use the versioned format URI

 -- Paride Legovini <paride.legovini@canonical.com>  Fri, 22 May 2020 19:00:47 +0200

## probert 0.0.20build2

=== debian/changelog ===
probert (0.0.20build2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:45:10 +0100

probert (0.0.20build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 12:44:10 +0200

## probert 0.0.20build3

=== debian/changelog ===
probert (0.0.20build3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:22:31 +0200

## probert 0.0.20build5

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Makefile for probert
 #
 NAME=probert
-VERSION=$(shell PYTHONPATH=$(shell pwd) python -c "import probert; print probert.__version__")
+VERSION=$(shell PYTHONPATH=$(shell pwd) /usr/bin/env python3 -c "import probert; print(probert.__version__)")
 .PHONY: all version tarball test $(NAME)_$(VERSION).orig.tar.gz
 
 all: run

=== debian/changelog ===
probert (0.0.20build5) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 18:50:56 +0100

probert (0.0.20build4) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 21:59:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ryan Harper <ryan.harper@canonical.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                libnl-genl-3-dev,
                libnl-route-3-dev,
-               pep8,
                pkg-config,
-               pyflakes,
                python3-all-dev,
                python3-coverage,
                python3-flake8,
@@ -19,10 +16,11 @@
                python3-pyudev,
                python3-setuptools,
                python3-testtools
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/CanonicalLtd/probert
 Vcs-Browser: https://github.com/CanonicalLtd/probert
 Vcs-Git: https://github.com/CanonicalLtd/probert.git
+Rules-Requires-Root: no
 
 Package: probert
 Architecture: all
@@ -58,7 +56,7 @@
          ${shlibs:Depends}
 Breaks: probert (<< 0.0.16)
 Replaces: probert (<< 0.0.16)
-Description: Hardware probing tool - storage metapackage
+Description: Hardware probing tool - storage probing
  This package provides a tool for probing host hardware information
  and emitting a JSON report.
  .
@@ -72,7 +70,7 @@
          ${shlibs:Depends}
 Breaks: probert (<< 0.0.16)
 Replaces: probert (<< 0.0.16)
-Description: Hardware probing tool - storage metapackage
+Description: Hardware probing tool - network probing
  This package provides a tool for probing host hardware information
  and emitting a JSON report.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --ignore-shebangs

override_dh_missing:
	rm -r `find debian/tmp -name __pycache__`
